Subject: bug#13389: echo command redhat linux OS

From: Ondrej Vasik <[email-masked]>
Date: Tue, 08 Jan 2013 19:05:54 +0100

On Tue, 2013-01-08 at 10:50 -0700, Eric Blake wrote:
> tag 13389 notabug
> thanks
> 
> On 01/07/2013 10:57 PM, Mohanad Azzam wrote:
> > Dears
> > 
> > Could we print values to be as three column ,each column present the values of each file.
> > 
> > More explanation :
> > I have three files ,each file include a queue of values .I need to print all the values by one command to be in one page
> 
> Rather than attempting to describe the problem, giving us an actual
> sample of three files, each containing three or so lines, as well as the
> desired output you want, would go a lot further in explaining the
> problem you really want solved.  I will attempt to describe a setup that
> I think matches the wording you gave.  I created three files:
> 
> $ cat one
> 1
> 2
> 3
> $ cat two
> a
> b
> c
> $ cat three
> x
> y
> z
> 
> Then I can use something like this to merge those three files into a
> single listing with three columns, one entry from each file:
> 
> $ join <(join <(cat -n one) <(cat -n two)) <(cat -n three) |\
>    sed 's/^[0-9]* *//'
> 1 a x
> 2 b y
> 3 c z
> 
> There's probably other ways of doing it, as well.

Actually,
pr -m -t -s' ' one two three
seems to be easier to me for this case...

Greetings,
         Ondrej